Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://cloudlab.scispot.io/labsheet-folder/list \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://cloudlab.scispot.io/labsheet-folder/list', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://cloudlab.scispot.io/labsheet-folder/list" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "folders": [ { "uuid": "<uuid>", "name": "Samples Folder" }, { "uuid": "<uuid>", "name": "Test Results Folder" } ], "total": 2, "success": true }
{ "success": false, "message": "Invalid Authentication Token" }
{ "success": false, "message": "Missing Authentication Token" }
{ "success": false, "message": "Not found" }
{ "success": false, "message": "Operation failed" }
Retrieve list of labsheet folders
Personal access token from Scispot Account → Personal Tokens
Successfully retrieved list of labsheet folders
Array of labsheet folders
Show child attributes
The total number of labsheet folders
Whether the request was successful